#### 3.17.25 PDP-11 Options

These options are defined for the PDP-11:

`-mfpu`
  Use hardware FPP floating point. This is the default. (FIS floating point on the PDP-11/40 is not supported.)
`-msoft-float`
  Do not use hardware floating point.
`-mac0`
  Return floating-point results in ac0 (fr0 in Unix assembler syntax).
`-mno-ac0`
  Return floating-point results in memory. This is the default.
`-m40`
  Generate code for a PDP-11/40.
`-m45`
  Generate code for a PDP-11/45. This is the default.
`-m10`
  Generate code for a PDP-11/10.
`-mbcopy-builtin`
  Use inline `movmemhi` patterns for copying memory. This is the default.
`-mbcopy`
  Do not use inline `movmemhi` patterns for copying memory.
`-mint16`
`-mno-int32`
  Use 16-bit `int`. This is the default.
`-mint32`
`-mno-int16`
  Use 32-bit `int`.
`-mfloat64`
`-mno-float32`
  Use 64-bit `float`. This is the default.
`-mfloat32`
`-mno-float64`
  Use 32-bit `float`.
`-mabshi`
  Use `abshi2` pattern. This is the default.
`-mno-abshi`
  Do not use `abshi2` pattern.
`-mbranch-expensive`
  Pretend that branches are expensive. This is for experimenting with code generation only.
`-mbranch-cheap`
  Do not pretend that branches are expensive. This is the default.
`-msplit`
  Generate code for a system with split I&D.
`-mno-split`
  Generate code for a system without split I&D. This is the default.
`-munix-asm`
  Use Unix assembler syntax. This is the default when configured for ‘`pdp11-*-bsd`’.
`-mdec-asm`
  Use DEC assembler syntax. This is the default when configured for any PDP-11 target other than ‘`pdp11-*-bsd`’.